Skip to content
Leadtime
English
Esc
navigateopen⌘Jpreview

List agent chats

Returns paginated in-app agent chats for the authenticated user in the current workspace. Pinned chats are returned first, ordered by most recently pinned. Pass q to search by chat title instead of browsing history.

GET/agent-chats
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Query parameters
pagenumber
min 0 · default: 0
pageSizenumber
min 1 · max 100 · default: 30
qstring
Optional title search query
Responses
200
hasMorebooleanrequired
itemsAgentChatListItemDto[]required
Show properties
Array of AgentChatListItemDto
agentAgentChatAgentDto
Show properties
botUserIdobject
labelstring
providerobject
typestringrequired
chatTitleobject | null
createdAtstringrequired
idstringrequired
isDraftbooleanrequired
isEmptyDraftbooleanrequired
lastMessageAtstringrequired
pinnedAtobject | null
runIdstringrequired
statusstringrequired
Allowed:queuedrunningwaitingInputwaitingApprovaldonefailedcanceled
pagenumberrequired
pageSizenumberrequired
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/agent-chats" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
{
  "hasMore": true,
  "items": [
    {
      "agent": {
        "botUserId": {},
        "label": "string",
        "provider": {},
        "type": "string"
      },
      "chatTitle": {},
      "createdAt": "string",
      "id": "string",
      "isDraft": true,
      "isEmptyDraft": true,
      "lastMessageAt": "string",
      "pinnedAt": {},
      "runId": "string",
      "status": "queued"
    }
  ],
  "page": 0,
  "pageSize": 0
}